;   ***************************************************************
;   * Copyright (c) 2002, Embed Inc (http://www.embedinc.com)     *
;   *                                                             *
;   * Permission to copy this file is granted as long as this     *
;   * copyright notice is included in its entirety at the         *
;   * beginning of the file, whether the file is copied in whole  *
;   * or in part and regardless of whether other information is   *
;   * added to the copy.                                          *
;   *                                                             *
;   * The contents of this file may be used in any way,           *
;   * commercial or otherwise.  This file is provided "as is",    *
;   * and Embed Inc makes no claims of suitability for a          *
;   * particular purpose nor assumes any liability resulting from *
;   * its use.                                                    *
;   ***************************************************************
;
;   High level interface to the status LED.
;
         include "prg.inc"

         extern_flags        ;declare global flag bits EXTERN
;
;***********************************************************************
;
;   Configuration constants.
;
lbank    equ     0           ;register bank for the local state of this module
;
;   Derived constants.
;
lbankadr equ     bankadr(lbank) ;address within local state register bank
;
;***********************************************************************
;
;   Global state.  All this state is assumed to be in the GBANK register
;   bank by other modules.
;
.bank#v(gbank) udata

;
;***********************************************************************
;
;   Local state.
;
  if lbank != gbank
.bank#v(lbank) udata
    endif

leds     res     1           ;current LED state, use LEDS_xxx constants

.led     code
;
;***********************************************************************
;
;   Subroutine LED_INIT
;
;   Initialize the hardware and software state managed by this module.
;
; NOT SUPPORTED BY WISP628 HARDWARE (no LEDs)
         glbsub  led_init, noregs

         leaverest
;
;***********************************************************************
;
;   Subroutine LED_IDLE
;
;   Set the LED to indicate the IDLE state.
;
; NOT SUPPORTED BY WISP628 HARDWARE (no LEDs)
         glbsub  led_idle, noregs

leave_ledset                 ;common abort point for LED state change routines
         leaverest
;
;***********************************************************************
;
;   Subroutine LED_PROG
;
;   Set the LED to indicate the PROG state.
;
; NOT SUPPORTED BY WISP628 HARDWARE (no LEDs)
         glbsub  led_prog, noregs

         leaverest
;
;***********************************************************************
;
;   Subroutine LED_TRON
;
;   Set the LED to indicate the target chip is on and must not be removed.
;
; NOT SUPPORTED BY WISP628 HARDWARE (no LEDs)
         glbsub  led_tron, noregs

         leaverest
;
;***********************************************************************
;
;   Subroutine LED_HOST
;
;   Set the LED to indicate the HOST state.
;
; NOT SUPPORTED BY WISP628 HARDWARE (no LEDs)
         glbsub  led_host, noregs

         leaverest
;
;***********************************************************************
;
;   Subroutine LED_UPDATE
;
;   The subroutine is called periodically from the main event loop.  It makes
;   sure that the LED state is current with the internal state.
;
; NOT SUPPORTED BY WISP628 HARDWARE (no LEDs)
         glbsub  led_update, noregs

upd_leave unbank             ;common exit point
         leaverest

         end
